Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
copy_stream_struct Struct Reference

## Data Fields
VALUE | src
VALUE | dst
off_t | copy_length
off_t | src_offset
int | src_fd
int | dst_fd
unsigned | close_src: 1
unsigned | close_dst: 1
int | error_no
off_t | total
const char * | syserr
const char * | notimp
VALUE | th
struct stat | src_stat
struct stat | dst_stat

## Detailed Description

Definition at line 10756 of file io.c.

## Field Documentation

## ◆ close_dst

unsigned copy_stream_struct::close_dst

Definition at line 10765 of file io.c.

## ◆ close_src

unsigned copy_stream_struct::close_src

Definition at line 10764 of file io.c.

## ◆ copy_length

off_t copy_stream_struct::copy_length

Definition at line 10759 of file io.c.

## ◆ dst

VALUE copy_stream_struct::dst

Definition at line 10758 of file io.c.

## ◆ dst_fd

int copy_stream_struct::dst_fd

Definition at line 10763 of file io.c.

## ◆ dst_stat

struct stat copy_stream_struct::dst_stat

Definition at line 10772 of file io.c.

## ◆ error_no

int copy_stream_struct::error_no

Definition at line 10766 of file io.c.

## ◆ notimp

const char* copy_stream_struct::notimp

Definition at line 10769 of file io.c.

## ◆ src

VALUE copy_stream_struct::src

Definition at line 10757 of file io.c.

## ◆ src_fd

int copy_stream_struct::src_fd

Definition at line 10762 of file io.c.

## ◆ src_offset

off_t copy_stream_struct::src_offset

Definition at line 10760 of file io.c.

## ◆ src_stat

struct stat copy_stream_struct::src_stat

Definition at line 10771 of file io.c.

## ◆ syserr

const char* copy_stream_struct::syserr

Definition at line 10768 of file io.c.

## ◆ th

VALUE copy_stream_struct::th

Definition at line 10770 of file io.c.

## ◆ total

off_t copy_stream_struct::total

Definition at line 10767 of file io.c.

The documentation for this struct was generated from the following file:

- io.c